package fr.mael.jiwigo.service;

import junit.framework.Assert;

import org.junit.Test;

import fr.mael.jiwigo.Main;
import fr.mael.jiwigo.TestBase;
import fr.mael.jiwigo.om.Category;
import fr.mael.jiwigo.om.Image;

public class ServicesTest extends TestBase {

    public ServicesTest() {
	super();
    }

    @Test
    public void testCreer() throws Exception {
	Category cat = null;
	for (Category category : CategoryService.getInstance(Main.sessionManager).lister(true)) {
	    if (category.getIdentifiant().equals(3)) {
		cat = category;
		break;
	    }
	}
	Image image = ImageService.getInstance(Main.sessionManager).listerParCategory(cat.getIdentifiant(), true)
		.get(0);
	int firstCount = CommentService.getInstance(Main.sessionManager).lister(image.getIdentifiant()).size();
	CommentService.getInstance(Main.sessionManager).creer("comment test", image.getIdentifiant(), "none");
	Assert.assertSame(firstCount + 1, CommentService.getInstance(Main.sessionManager)
		.lister(image.getIdentifiant()).size());
    }
}
